function c = xcorrc(x,y)
%c = xcorrc(x,y)
%
%For vectors x and y, xcorrc returns the circular correlation of x and y. x
%and y need to have integral numbers of periods. They do not have to be the 
%same length.
%
%length(c) = lcm(length(x),length(y));

x = makerow(x);
y = makerow(y);

Nx = length(x);
Ny = length(y);
N = lcm(Nx,Ny);

x = repmat(x,[1 3*round(N/Nx)]);
y = repmat(y,[1 3*round(N/Ny)]);
sx = zeros(1,3*N-1);
sy = zeros(1,3*N-1);
for k = 2:3*N
    sx(k-1) = std(x(1:k));
    sy(k-1) = std(y(1:k));
end
sx = [sx fliplr(sx)];
sy = [sy fliplr(sy)];
sxy = sx.*sy;

x = x - mean(x);
y = y-mean(y);

c = conv(x,y);
Nc = length(c);
Nsxy = length(sxy);

if(Nc < length(sxy))
    sxy = sxy(1:Nc);
else
    c = c(1:Nsxy);
end
c = c./sxy;
k = floor((length(c)-N)/2);
c = c(k:k+N-1);
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function x = makerow(x)
%y = makerow(x)

x = squeeze(x);
if(size(x,2) == 1) 
    x = x';
end
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%