function [data mu] = zeromean(data,str)
%[data mu] = zeromean(data);
%[data mu] = zeromean(data,'std');
%
%zeromean removes the mean from rows of data. If 'std' is passed it, it
%also divides by the std.

N = size(data,1);
mu = zeros(1,N);
if(nargin < 2)
    for k = 1:N
        mu(k) = nanmean(data(k,:));
        data(k,:) = data(k,:) - mu(k);
    end
else
    for k = 1:N
        mu(k) = nanmean(data(k,:));
        data(k,:) = (data(k,:) - mu(k))./nanstd(data(k,:));
    end
end
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%